%define qtmajor 5
%define qtminor 6
%define qtsubminor 1
%define rel 1

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtserialport %mklibname qt5serialport %qtmajor
%define libqtserialport_d %mklibname qt5serialport -d

%define qttarballdir qtserialport-opensource-src-%{qtversion}

Name: qtserialport5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt Location
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL: http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %{version}
BuildRequires: qt5core-private-devel >= %{version}
BuildRequires: %{_lib}udev0-devel

#Branch Patchs

#Trunk Patchs

#Patch from Others

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

#------------------------------------------------------------------------------

%package -n %{libqtserialport}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtserialport}
Qt%{qtmajor} Component Library.

Qt Serial Port provides the basic functionality, which includes configuring,
I/O operations, getting and setting the control signals of the RS-232 pinouts.

%files -n %{libqtserialport}
%{_qt5_libdir}/libQt5SerialPort.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtserialport_d}
Summary: Devel files needed to build apps based on QtSerialport
Group: Development/Libraries
Requires: %{libqtserialport} = %version
Provides: libqtserialport5-devel = %version
Provides: libqt5serialport-devel = %version
Provides: qtserialport5-devel = %version
Provides: qt5serialport-devel = %version

Provides: libqtserialport5-private-devel = %version
Provides: libqt5serialport-private-devel = %version
Provides: qtserialport5-private-devel = %version
Provides: qt5serialport-private-devel = %version

Obsoletes: %{_lib}qt5serialport-private-devel
Provides:  %{_lib}qt5serialport-private-devel = %version

%description -n %{libqtserialport_d}
Devel files needed to build apps based on Qt Serialport.

%files -n %{libqtserialport_d}
%{_qt5_libdir}/libQt5SerialPort.prl
%{_qt5_libdir}/libQt5SerialPort.so
%{_qt5_libdir}/pkgconfig/Qt5SerialPort.pc
%{_qt5_libdir}/cmake/Qt5SerialPort
%{_qt5_datadir}/mkspecs/modules/qt_lib_serialport.pri
%{_qt5_includedir}/QtSerialPort
%{_qt5_datadir}/mkspecs/modules/qt_lib_serialport_private.pri
#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5
%make

#------------------------------------------------------------------------------
%install
rm -rf %buildroot
make INSTALL_ROOT=$RPM_BUILD_ROOT install

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -rf %{buildroot}/%_qt5_examplesdir

%changelog
* Thu Jun 09 2016 bb <bb> 5.6.1-1pclos2016
- update

* Fri Mar 18 2016 bb <bb> 5.6.0-1pclos2016
- update
